org.apache.solr.handler.component

## Class PivotFacetHelper

- java.lang.Object
- - org.apache.solr.handler.component.PivotFacetHelper

-     public class PivotFacetHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PivotFacetHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<String>` | `decodeRefinementValuePath(String valuePath)` Decodes a value path string specified for refinement.
    `static String` | `encodeRefinementValuePath(List<String> values)` Encodes a value path as a string for the purposes of a refinement request
    `static Integer` | `getCount(NamedList<Object> pivotList)`
    `static String` | `getField(NamedList<Object> pivotList)`
    `static List<NamedList<Object>>` | `getPivots(NamedList<Object> pivotList)`
    `static NamedList<Number>` | `getQueryCounts(NamedList<Object> pivotList)`
    `static SimpleOrderedMap<SimpleOrderedMap<Object>>` | `getRanges(NamedList<Object> pivotList)`
    `static NamedList<NamedList<NamedList<?>>>` | `getStats(NamedList<Object> pivotList)`
    `static Comparable` | `getValue(NamedList<Object> pivotList)`
    `static Map<String,StatsValues>` | `mergeStats(Map<String,StatsValues> merged, NamedList<NamedList<NamedList<?>>> remoteWrapper, org.apache.solr.handler.component.StatsInfo statsInfo)` Given a mapping of keys to `StatsValues` representing the currently known "merged" stats (which may be null if none exist yet), and a `NamedList` containing the "stats" response block returned by an individual shard, this method accumulates the stats for each `StatsField` found in the shard response with the existing mergeStats

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PivotFacetHelper

          public PivotFacetHelper()

  - ### Method Detail

    - #### encodeRefinementValuePath

          public static String encodeRefinementValuePath(List<String> values)

      Encodes a value path as a string for the purposes of a refinement request
      See Also:
        `PivotFacetValue.getValuePath()`, `decodeRefinementValuePath(java.lang.String)`

    - #### decodeRefinementValuePath

          public static List<String> decodeRefinementValuePath(String valuePath)

      Decodes a value path string specified for refinement.
      See Also:
        `encodeRefinementValuePath(java.util.List<java.lang.String>)`

    - #### getValue

          public static Comparable getValue(NamedList<Object> pivotList)

      See Also:
        `PivotListEntry.VALUE`

    - #### getField

          public static String getField(NamedList<Object> pivotList)

      See Also:
        `PivotListEntry.FIELD`

    - #### getCount

          public static Integer getCount(NamedList<Object> pivotList)

      See Also:
        `PivotListEntry.COUNT`

    - #### getPivots

          public static List<NamedList<Object>> getPivots(NamedList<Object> pivotList)

      See Also:
        `PivotListEntry.PIVOT`

    - #### getStats

          public static NamedList<NamedList<NamedList<?>>> getStats(NamedList<Object> pivotList)

      See Also:
        `PivotListEntry.STATS`

    - #### getQueryCounts

          public static NamedList<Number> getQueryCounts(NamedList<Object> pivotList)

      See Also:
        `PivotListEntry.QUERIES`

    - #### getRanges

          public static SimpleOrderedMap<SimpleOrderedMap<Object>> getRanges(NamedList<Object> pivotList)

      See Also:
        `PivotListEntry.RANGES`

    - #### mergeStats

          public static Map<String,StatsValues> mergeStats(Map<String,StatsValues> merged,
                                                           NamedList<NamedList<NamedList<?>>> remoteWrapper,
                                                           org.apache.solr.handler.component.StatsInfo statsInfo)

      Given a mapping of keys to `StatsValues` representing the currently known "merged" stats (which may be null if none exist yet), and a `NamedList` containing the "stats" response block returned by an individual shard, this method accumulates the stats for each `StatsField` found in the shard response with the existing mergeStats
      Returns:
        the original `merged` Map after modifying, or a new Map if the `merged` param was originally null.
      See Also:
        `StatsInfo.getStatsField(java.lang.String)`, `StatsValuesFactory.createStatsValues(org.apache.solr.handler.component.StatsField)`, `StatsValues.accumulate(NamedList)`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.